#include<bits/stdc++.h>
using namespace std;
#define ll long long;
const ll mop = 998244353;
int T,id,n,m,c,f;
int map[1005][1005];
ll ansc,ansf;

template <typename T>
inline T read(){
	T x = 0, f = 1;
	char ch = 0;
	while(!isdigit(ch)){
		if(ch == '-')	f = -1;
		ch = getchar();
	}
	while(isdigit(ch)){
		x = (x<<3) + (x<<1) + (ch - '0');
		ch = getchar();
	}
	return x * f;
}


template <typename T>
inline void write(T x){
	static int sta[135];
	int top = 0;
	if(x < 0){
		x = -x;
		putchar('-');
	}
	do{
		sta[top++] = x%10;
		x /= 10;
	} while(x);
	while(top){
		putchar(sta[--top] + '0');
	}
}

inline int gtch(){
	char ch = getchar();
	int x;
	if(ch == '0')
		x=0;
	if(ch == '1');
		x=1;
	return x;
}




int main(){
	freopen("plant.in","r",stdin);
	freopen("plant.out","w",stdout);
	cin>>T>>id;
	if(id==0){
		cout<<0<<" "<<0<<endl;
		return 0;
	}
	while(T--){
		cin>>n>>m>>c>>f;
		while(n--){
			for(int i=1;i<=m;i++){
				map[n][i] = gtch();
			}
		}
	}
}
